Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.resource.spi.endpoint
Interface MessageEndpointFactory

public interface MessageEndpointFactory

This serves as a factory for creating message endpoints.

Version:
  1.0
Author:
  Ram Jeyaraman

Method Summary
`MessageEndpoint` | `createEndpoint(XAResource xaResource)` This is used to create a message endpoint.
`boolean` | `isDeliveryTransacted(java.lang.reflect.Method method)` This is used to find out whether message deliveries to a target method on a message listener interface that is implemented by a message endpoint will be transacted or not.

Method Detail

### createEndpoint

    public MessageEndpoint createEndpoint(XAResource xaResource)
                                   throws UnavailableException

  This is used to create a message endpoint. The message endpoint is expected to implement the correct message listener type.

  Parameters:
    `xaResource` - an optional `XAResource` instance used to get transaction notifications when the message delivery is transacted.
  Returns:
    a message endpoint instance.
  Throws:
    `UnavailableException` - indicates a transient failure in creating a message endpoint. Subsequent attempts to create a message endpoint might succeed.

### isDeliveryTransacted

    public boolean isDeliveryTransacted(java.lang.reflect.Method method)
                                 throws java.lang.NoSuchMethodException

  This is used to find out whether message deliveries to a target method on a message listener interface that is implemented by a message endpoint will be transacted or not. The message endpoint may indicate its transacted delivery preferences (at a per method level) through its deployment descriptor. The message delivery preferences must not change during the lifetime of a message endpoint.

  Parameters:
    `method` - description of a target method. This information about the intended target method allows an application server to find out whether the target method call will be transacted or not.
  Returns:
    true, if message endpoint requires transacted message delivery.
  Throws:
    `java.lang.NoSuchMethodException` - indicates that the specified method does not exist on the target endpoint.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.